Announcement Announcement Module
Collapse
No announcement yet.
Maven Pain with STS 2.8, please help! Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Maven Pain with STS 2.8, please help!

    I am recently installed STS 2.8 for evaluation Spring Roo and Grails development.
    But it cost me 2 days fighting for a successful maven build on a newly created Roo project.
    My STS version is 2.8 and my operation system is windows 7 x64 edition.
    The STS is running on JDK 6 and JDK 7 (for a try).

    My maven plugin version is shown in the following picture:
    Attachment

    When I created a new Roo project, I immediately got following errors:
    Attachment

    And by the way, the effective POM is as follows:
    Attachment

    As you can see the m2e version is already 1.0 and I am not getting error life cycle related error messages.

    Any idea of how can I make it right? I am eagerly waiting for help.
    Attached Files

  • #2
    I am not sure exactly what your problem is, but the root cause is likely related to the JarArchiver problem at the top of your screenshot. Can you select all of your errors in the problems view, right click and copy? Then paste the text in a response here. It may give us some more information.

    Also, do you see any errors in your error log?

    You may also get some better information on the m2e users mailing list:
    https://dev.eclipse.org/mailman/listinfo/m2e-users

    Comment

    Working...
    X